﻿@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@400;500;700&display=swap");

/* #region login design */
body {
    --login-bg: url("/Content/img/login/0.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(222, 93%, 39%, 0.3);
    --login-bg-color2: hsla(222, 68%, 72%, 0.3);
    --login-bg-color3: hsla(222, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(222, 93%, 39%, 0.5);
    --login-btn-bg: hsla(222, 93%, 39%, 1);
    --login-btn-color: hsla(222, 93%, 39%, 1);
    --login-input-border: hsla(222, 86%, 54%, 1);
    font-family: "Noto Sans TC", sans-serif;
    background: var(--login-bg);
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    height: 100dvh;
}
/* 春 */
body[data-design="1"] {
    --login-bg: url("/Content/img/login/1.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(138, 93%, 39%, 0.3);
    --login-bg-color2: hsla(163, 68%, 72%, 0.3);
    --login-bg-color3: hsla(168, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(180, 93%, 39%, 0.5);
    --login-btn-bg: hsla(173, 93%, 39%, 1);
    --login-btn-color: hsla(173, 100%, 30%, 1);
    --login-input-border: hsla(173, 93%, 39%, 1);
}
/* 夏 */
body[data-design="2"] {
    --login-bg: url("/Content/img/login/2.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(193, 93%, 39%, 0.3);
    --login-bg-color2: hsla(200, 68%, 72%, 0.3);
    --login-bg-color3: hsla(175, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(198, 93%, 39%, 0.5);
    --login-btn-bg: hsla(212, 64%, 45%, 1);
    --login-btn-color: hsla(212, 65%, 45%, 1);
    --login-input-border: hsla(212, 65%, 45%, 1);
}
/* 秋 */
body[data-design="3"] {
    --login-bg: url("/Content/img/login/3.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(48, 93%, 39%, 0.3);
    --login-bg-color2: hsla(25, 68%, 72%, 0.3);
    --login-bg-color3: hsla(44, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(28, 93%, 39%, 0.5);
    --login-btn-bg: hsla(25, 78%, 60%, 1);
    --login-btn-color: hsla(25, 78%, 60%, 1);
    --login-input-border: hsla(25, 78%, 60%, 1);
}
/* 冬 */
body[data-design="4"] {
    --login-bg: url("/Content/img/login/4.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(255, 93%, 39%, 0.3);
    --login-bg-color2: hsla(255, 68%, 72%, 0.3);
    --login-bg-color3: hsla(251, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(262, 93%, 39%, 0.5);
    --login-btn-bg: hsla(255, 53%, 56%, 1);
    --login-btn-color: hsla(255, 53%, 56%, 1);
    --login-input-border: hsla(255, 53%, 56%, 1);
}
/* 新年 */
body[data-design="5"] {
    --login-bg: url("/Content/img/login/5.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(21, 93%, 39%, 0.3);
    --login-bg-color2: hsla(7, 68%, 72%, 0.3);
    --login-bg-color3: hsla(5, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(18, 93%, 39%, 0.5);
    --login-btn-bg: hsla(0, 63%, 55%, 1);
    --login-btn-color: hsla(0, 63%, 54%, 1);
    --login-input-border: hsla(0, 63%, 55%, 1);
}
/* 端午 */
body[data-design="6"] {
    --login-bg: url("/Content/img/login/6.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(133, 93%, 39%, 0.3);
    --login-bg-color2: hsla(140, 68%, 72%, 0.3);
    --login-bg-color3: hsla(156, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(156, 93%, 39%, 0.5);
    --login-btn-bg: hsla(156, 36%, 39%, 1);
    --login-btn-color: hsla(155, 36%, 39%, 1);
    --login-input-border: hsla(156, 36%, 39%, 1);
}
/* 中秋 */
body[data-design="7"] {
    --login-bg: url("/Content/img/login/7.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(186, 93%, 39%, 0.3);
    --login-bg-color2: hsla(191, 68%, 72%, 0.3);
    --login-bg-color3: hsla(196, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(180, 93%, 39%, 0.5);
    --login-btn-bg: hsla(184, 51%, 43%, 1);
    --login-btn-color: hsla(155, 36%, 39%, 1);
    --login-input-border: hsla(184, 51%, 43%, 1);
}
/* 國慶 */
body[data-design="8"] {
    --login-bg: url("/Content/img/login/8.png");
    --login-bg-white: hsla(0, 0%, 100%, 1);
    --login-bg-color1: hsla(226, 93%, 39%, 0.3);
    --login-bg-color2: hsla(226, 68%, 72%, 0.3);
    --login-bg-color3: hsla(223, 93%, 39%, 0.4);
    --login-bg-shadow: hsla(180, 93%, 39%, 0.5);
    --login-btn-bg: hsla(216, 95%, 38%, 1);
    --login-btn-color: hsla(216, 95%, 38%, 1);
    --login-input-border: hsla(216, 95%, 38%, 1);
}
/* #endregion */

/* #region common */
.login-area {
    display: flex;
}

.login-slogan-area,
.login-form-area {
    /* backdrop-filter: blur(5px); */
    position: relative;
}

.login-slogan-area {
    width: 50vw;
}

.login-slogan {
    position: absolute;
    bottom: 52%;
    left: 2vw;
    font-weight: 700;
    font-size: 4.5vw;
    color: #ffffff;
    text-shadow: 3px 3px 5px rgba(0, 0, 0, 0.7);
}

.login-organizer {
    display: flex;
    align-items: center;
    position: absolute;
    top: 61%;
    right: 2vw;
    font-weight: 500;
    font-size: 2.8vw;
    color: #ffffff;
}

.login-organizer img {
    background-color: #fff;
    padding: 0.5vw;
    margin-right: 1vw;
    width: 5.4vw;
    height: 4vw;
    object-fit: cover;
    object-position: left;
    overflow: hidden;
}

.login-input-area {
    display: grid;
    grid-template-columns: 330px;
    gap: 1rem;
}

.login-form {
    background-color: white;
    box-shadow: 0 71px 54px -58px var(--login-bg-shadow);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    padding: 3rem 4rem;
    margin: 3rem;
}

.login-logo img {
    width: 100%;
    height: 3.5625rem;
    object-fit: contain;
    object-position: center;
}

.login-title {
    font-weight: 700;
    font-size: 30px;
    text-align: center;
    color: #222222;
    margin-bottom: 2rem;
}

.login-title-break {
    display: none;
}

.login-footer {
    display: none;
    position: absolute;
    top: unset;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 1rem;
    text-align: center;
    background-color: var(--login-bg-color1);
}
/* #endregion */

/* #region form-group */
.form-group {
    display: grid;
    grid-template-rows: max-content max-content;
}

.form-group label {
    color: #333333;
    font-weight: 700;
    font-size: 18px;
}

.form-group input {
    width: 100%;
    background: transparent;
    padding: 0.75rem 0;
    color: #333333;
    border: 0;
    border-style: solid;
    border-color: #bebebe;
    border-bottom-width: 2px;
    transition: all 0.3s;
}

.form-group input:focus,
.form-group input:focus-visible {
    outline: 0;
    border-color: var(--login-input-border);
    padding-left: 0.75rem;
}

.form-group input::placeholder {
    font-weight: 500;
    font-size: 16px;
    color: #bebebe;
}
.form-password {
    position: relative;
}
.form-password .form-password-input {
    padding-right: 3em;
}
.form-password-toggle {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 1em;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    border: none;
    cursor: pointer;
}
.form-password-icon {
    display: none;
    width: 1em;
    height: 1em;
    fill: currentColor;
}
.form-password input[type="text"] + .form-password-toggle .form-password-icon-hide,
.form-password input[type="password"] + .form-password-toggle .form-password-icon-show {
    display: block;
}
/* #endregion */

/* #region btn-login */
.btn-login {
    --bs-btn-bg: var(--login-btn-bg);
    --bs-btn-color: white;
    --bs-btn-hover-bg: var(--login-input-border);
    --bs-btn-hover-color: white;
    --bs-btn-border-width: 1px;
    --bs-btn-border-radius: 0;
    --bs-btn-border-color: var(--login-btn-bg);
    --bs-btn-hover-border-color: var(--login-input-border);
    --bs-btn-padding-y: 14px;
    font-size: 22px;
    text-align: center;
    letter-spacing: 0.36em;
    background-image: url("/Content/img/login-icon.png");
    background-repeat: no-repeat;
    background-position: 94% 50%;
}
.btn-login.no-icon {
    background-image: none;
}

.btn-login span {
    display: block;
    transform: translateX(calc(0.2em));
}

.btn-login:hover {
    background-position: 95% 50%;
}

.btn-login-text {
    color: var(--login-btn-color);
    margin-top: 8px;
    font-size: 18px;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}
.btn-login-text:hover {
    color: var(--login-btn-color);
}
/* #endregion */

/* #region MVC Razor Validation */
.validation-summary-valid,
.validation-summary-errors {
    color: red;
    padding: 16px 0;
    min-height: 40px;
}

.validation-summary-valid ul,
.validation-summary-errors ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
/* #endregion */

/* #region geometry bg */
.bg-area {
    display: contents;
}

.bg-area > div {
    position: absolute;
    z-index: -1;
}

.login-slogan-area .bg-area > div:nth-child(1) {
    background: var(--login-bg-color1);
    opacity: 0.4;
    top: 0;
    left: 0;
    right: 0;
    height: 59%;
}
.login-slogan-area .bg-area > div:nth-child(2) {
    background: var(--login-bg-color2);
    bottom: 0;
    left: 0;
    right: 0;
    height: 49%;
}
.login-form-area .bg-area > div:nth-child(1) {
    background: var(--login-bg-color3);
    opacity: 0.5;
    bottom: 0;
    left: 0;
    height: 42%;
    width: 64%;
}
.login-form-area .bg-area > div:nth-child(2) {
    background: var(--login-bg-white);
    opacity: 0.3;
    top: 0;
    left: 0;
    right: 0;
    height: 57%;
}
.login-form-area .bg-area > div:nth-child(3) {
    background: var(--login-bg-white);
    opacity: 0.5;
    bottom: 0;
    right: 0;
    height: 49%;
    width: 46%;
}
/* #endregion */

/* #region media query */
@media (max-width: 1110px) {
    .login-area {
        flex-direction: column-reverse;
    }

    .login-slogan-area {
        display: none;
    }

    .login-footer {
        display: block;
    }
}

@media (max-width: 576px) {
    .login-area {
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-rows: min-content;
        align-content: center;
    }

    .login-form {
        padding: 3rem 2rem;
        margin: 2rem 1.5rem;
    }

    .login-input-area {
        grid-template-columns: 100%;
    }
}

@media (max-width: 480px) {
    .login-form {
        margin: 2rem 0;
    }

    .login-title-break {
        display: block;
    }
}
/* #endregion */
